For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all appointments
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RealPage Registered VendorAppointments

Get all appointments

GET
/v1/appointments/
GET
/v1/appointments/
$curl https://api.propexo.com/v1/appointments/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {
5 "field": "created_at",
6 "direction": "desc"
7 }
8 ],
9 "offset": 0,
10 "limit": 100,
11 "hasMore": true,
12 "total": 1000
13 },
14 "results": [
15 {
16 "id": "clwktsp9v000008l31iv218hn",
17 "created_at": "2024-03-21T15:38:08.337Z",
18 "updated_at": "2024-03-22T10:59:45.119Z",
19 "last_seen": "2024-03-22T10:59:45.119Z",
20 "x_id": "evt-20240321-001",
21 "x_property_id": "prop-987654321",
22 "x_leasing_agent_id": null,
23 "x_type_id": null,
24 "x_location_id": null,
25 "event_name": "Lease Renewal Meeting",
26 "event_datetime": "2024-03-25T14:00:00Z",
27 "appointment_datetime": null,
28 "type_raw": "Appointment",
29 "notes": "Discuss lease renewal options with tenant.",
30 "agent_name": "Jessica Martinez",
31 "reasons_for_event": "Lease renewal discussion",
32 "associated_lead_ids": [
33 "cm2jeb8af00042qoza7lcb5cx"
34 ],
35 "associated_applicant_ids": [
36 "applicant-12345"
37 ],
38 "associated_resident_ids": [
39 "cm2jebkdu00072qozfa5p9rs7"
40 ],
41 "integration_id": "clwh5u07w000508me66sfh3um",
42 "integration_vendor": "REALPAGE",
43 "property_id": "clwi5xiix000008l6ctdgafyh"
44 }
45 ]
46}
Get all appointments
Was this page helpful?
Previous

Get all events

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID of the event from the integration vendor
x_property_idstringOptional
The external ID of the property from the integration vendor
x_type_idstringOptional
The external ID of the type from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
lead_idstringOptional
The Propexo unique identifier for the lead
applicant_idstringOptional
The Propexo unique identifier for the applicant
resident_idstringOptional
The Propexo unique identifier for the resident
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error